Subject: Re: bug#25198: bug: assertion (metadata_length > 0) failed

From: Phil Susi <[email-masked]>
Date: Tue, 18 Apr 2017 11:17:05 -0400

On 12/13/2016 6:09 PM, Rauno Viskus wrote:
> As much as I found searching aroud mentioned about partitions needing at
> least a sector in between eachother for metadata - is that it? Weird thing
> is that everything worked before I removed my Windows partition from the
> gap in between sda1 and sda3.
> 
> Output of fdisk -l:
> 
> 
> Disk /dev/sda: 238.5 GiB, 256060514304 bytes, 500118192 sectors
> Units: sectors of 1 * 512 = 512 bytes
> Sector size (logical/physical): 512 bytes / 512 bytes
> I/O size (minimum/optimal): 512 bytes / 512 bytes
> Disklabel type: dos
> Disk identifier: 0x9a232254
> 
> Device     Boot     Start       End  Sectors  Size Id Type
> /dev/sda1  *         2048   3074047  3072000  1.5G  7 HPFS/NTFS/exFAT
> /dev/sda3       397805566 485435391 87629826 41.8G  5 Extended
> /dev/sda5       397805568 436865023 39059456 18.6G 83 Linux
> /dev/sda6       436867072 466163711 29296640   14G 83 Linux
> /dev/sda7       466163712 485435391 19271680  9.2G 82 Linux swap / Solaris

Yes, you have to have at least one sector between partitions for the
chained EBR.  I'm curious as to what messed up partitioning tool created
this layout.